This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 741431

Summary: My X session crashes after a while when authenticating with password but not with fingerprint
Product: [Fedora] Fedora Reporter: Baptiste Mille-Mathias <baptiste.millemathias>
Component: gdmAssignee: Ray Strode [halfline] <rstrode>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 16CC: awilliam, dennis, jarsmith, kparal, rstrode, tflink
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: gdm-3.2.1.1-3.fc16 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-10-24 23:23:40 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 713568    
Attachments:
Description Flags
Message with DEBUG none

Description Baptiste Mille-Mathias 2011-09-26 15:48:42 EDT
Created attachment 524968 [details]
Message with DEBUG

Description of problem:
Since last week (Thursday I'd say) my session is crashing few seconds after I log in, between 10 and 30 seconds. After various test I discovered it wouldn't happen if instead of using password to authenticate I would swipe my finger on the fingerprint (of course, I created my fingerprint before that accident).

my girlfriend who didn't create her fingerprint, has not the same problem. 


Version-Release number of selected component (if applicable):
gdm-3.1.92-1.fc16.x86_64
gdm-plugin-fingerprint-3.1.92-1.fc16.x86_64
gdm-debuginfo-3.1.92-1.fc16.x86_64
pulseaudio-gdm-hooks-0.9.23-1.fc16.x86_64

How reproducible:
100 %


Steps to Reproduce:
1. have previously created its fingerprint
2. authenticate using password
3. Log to the session
  
Actual results:
<CRASH !!!>

Expected results:
Not crash ?

Additional info:

I attached a log file with DEBUG output, this part seems interesting
...
Sep 26 21:13:03 oak gdm-fingerprint][3924]: DEBUG(+): GdmSessionWorker: 1 new messages received from PAM#012
Sep 26 21:13:03 oak gdm-fingerprint][3924]: DEBUG(+): GdmSessionWorker: username is 'baptiste'
Sep 26 21:13:03 oak gdm-fingerprint][3924]: DEBUG(+): GdmSessionWorker: old-username='baptiste' new-username='baptiste'
Sep 26 21:13:03 oak gdm-fingerprint][3924]: DEBUG(+): GdmSessionWorker: received pam message of type 4 with payload 'Verification timed out'
Sep 26 21:13:03 oak gdm-fingerprint][3924]: DEBUG(+): GdmSessionWorker: Calling Info
Sep 26 21:13:03 oak gdm-fingerprint][3924]: DEBUG(+): Info org.freedesktop.DBus.Error.NoReply raised: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.#012
Sep 26 21:13:03 oak gdm-fingerprint][3924]: DEBUG(+): GdmSessionWorker: PAM conversation returning 19: Conversation error
Sep 26 21:13:03 oak rsyslogd-2177: imuxsock lost 8 messages from pid 922 due to rate-limiting
Sep 26 21:13:03 oak dbus-daemon[922]: ** (polkitd:932): DEBUG: system-bus-name::1.242 is inquiring whether system-bus-name::1.244 is authorized for net.reactivated.fprint.device.verify
Sep 26 21:13:03 oak dbus-daemon[922]: ** (polkitd:932): DEBUG:  user of caller is unix-user:root
Sep 26 21:13:03 oak dbus-daemon[922]: ** (polkitd:932): DEBUG:  user of subject is unix-user:root
Sep 26 21:13:03 oak dbus-daemon[922]: ** (polkitd:932): DEBUG: checking whether system-bus-name::1.244 is authorized for net.reactivated.fprint.device.verify
Sep 26 21:13:03 oak dbus-daemon[922]: ** (polkitd:932): DEBUG:
Sep 26 21:13:03 oak dbus-daemon[922]: ** (polkitd:932): DEBUG: system-bus-name::1.242 is inquiring whether system-bus-name::1.244 is authorized for net.reactivated.fprint.device.verify
Sep 26 21:13:03 oak dbus-daemon[922]: ** (polkitd:932): DEBUG:  user of caller is unix-user:root
Sep 26 21:13:03 oak dbus-daemon[922]: ** (polkitd:932): DEBUG:  user of subject is unix-user:root
Sep 26 21:13:03 oak dbus-daemon[922]: ** (polkitd:932): DEBUG: checking whether system-bus-name::1.244 is authorized for net.reactivated.fprint.device.verify
Sep 26 21:13:03 oak dbus-daemon[922]: ** (polkitd:932): DEBUG:
Sep 26 21:13:03 oak dbus-daemon[922]: ** Message: no longer monitoring fd 11
Sep 26 21:13:03 oak dbus-daemon[922]: ** Message: released device 0
Sep 26 21:13:03 oak gdm-fingerprint][3924]: DEBUG(+): GdmSessionWorker: authentication returned 7: Authentication failure
Sep 26 21:13:03 oak gdm-fingerprint][3924]: DEBUG(+): GdmSessionWorker: uninitializing PAM
Sep 26 21:13:03 oak gdm-fingerprint][3924]: DEBUG(+): GdmSessionWorker: state NONE
Sep 26 21:13:03 oak gdm-fingerprint][3924]: DEBUG(+): GdmSessionWorker: Unable to verify user
Sep 26 21:13:03 oak gdm-fingerprint][3924]: DEBUG(+): GdmSessionWorker: Calling AuthenticationFailed
Comment 1 Adam Williamson 2011-10-24 16:10:17 EDT
Proposing as blocker, we need to fix at least this *or* the 'log in with a fingerprint fails' bug for final, or else there's no way you can successfully log in with a fingerprint registered.
Comment 2 Fedora Update System 2011-10-24 17:11:27 EDT
gdm-3.2.1.1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gdm-3.2.1.1-3.fc16
Comment 3 Adam Williamson 2011-10-24 20:08:40 EDT
Add some CCs for blocker votes, thanks!
Comment 4 Fedora Update System 2011-10-24 23:23:40 EDT
gdm-3.2.1.1-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.